Skip to main content
GET
Read transaction

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

transaction_guid
string
required

The unique id for a transaction.

Query Parameters

includes
string

Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:

?includes=repeating_transactions,merchants,classifications,geolocations.

The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:

?includes=repeating_transactions,geolocations.

  • Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
  • Merchants: Enriches transactions with merchant name.
  • Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
  • Geolocation: Provides geographic metadata.

Response

200 - application/vnd.mx.api.v1+json

OK

transactions
object[]
pagination
object